--[[

A SHIELD FOR THE SHIP

]]

local class = require 'middleclass'
require 'constants'
Shield = class('Shield') -- NOTE: does not extend collider sprite

function Shield:initialize()

	self.objtype = types.SHIELD
	self.x = 0
	self.y = 0
	self.on = false
	self.diameter = constants.SHIELD_DIAMETER
	self.ps = self:load_particle_system()
	--local shape = hc:addCircle(x,y,diameter)

end

function Shield:update(dt, x, y)
	self.x = x
	self.y = y
	self.ps:setPosition(x,y)
	self.ps:update(dt)
end

function Shield:draw()
	love.graphics.setColor(colors.SHIP1)
	love.graphics.circle("line", self.x, self.y, self.diameter)
	love.graphics.draw(self.ps,0,0)
end

function Shield:collide()
	-- do nothing
end

function Shield:load_particle_system()
	local ps = love.graphics.newParticleSystem(love.graphics.newImage('assets/images/fade_circle.png'), 1)
	ps:setBufferSize( 10000 )
    ps:setParticleLifetime( 0.02, 0.02 )
	ps:setColors( 20, 255, 255, 255, 20, 255, 255, 0 )
	ps:setSpeed( 1800, 1800 )
	ps:setSpread( math.rad(360) )
	ps:setEmissionRate( 10000 )
	return ps
end
