--[[

A RANDOM TABLE OF STARS THAT WRAPS AROUND THE SCREEN

]]

local class = require 'middleclass'
require 'constants'
require 'star'
Starscape = class('Starscape')

function Starscape:initialize(num_stars)

	self.stars = {}
	for i = 0, num_stars, 1 do
		table.insert(self.stars,
			         Star(math.random(constants.SCREEN_WIDTH),
			         	  math.random(constants.SCREEN_HEIGHT),
			         	  math.random()*constants.MAX_STAR_SPEED))
	end

end

function Starscape:move(dt,x_vel,y_vel)
	for ind,star in ipairs(self.stars) do
		star:move(dt, -x_vel, -y_vel)
	end
end

function Starscape:draw()
	for ind,star in ipairs(self.stars) do
		star:draw()
	end
end
